<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/IDL/idltype/Type.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.IDL.idltype.Type</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Parsers.html" >Parsers</a>.<a href="../../IDL.html" >IDL</a>.<a href="../idltype.html" >idltype</a>
</div><div class="class-name">class Type

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Parsers/IDL/idltype.py.html" target="detail">../Synopsis/Parsers/IDL/idltype.py</a></div> <div class="xref"><a href="../../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Type" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line102" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Type-inheritance" src="Type-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Type-inheritance_map" />
<map name="Type-inheritance_map"><area alt="Scopes/Synopsis/Parsers/IDL/idltype/Declared.html" href="Declared.html" shape="rect" coords="5, 81, 240, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Markup/RST/RST.html" href="../../../Formatters/HTML/Markup/RST/RST.html" shape="rect" coords="264, 81, 547, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Fragments/InheritanceFormatter/InheritanceFormatter.html" href="../../../Formatters/HTML/Fragments/InheritanceFormatter/InheritanceFormatter.html" shape="rect" coords="571, 81, 1059, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/Scope/Scope.html" href="../../../Formatters/HTML/Views/Scope/Scope.html" shape="rect" coords="1083, 81, 1373, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idltype/String.html" href="String.html" shape="rect" coords="1397, 81, 1616, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html" href="Fixed.html" shape="rect" coords="1640, 81, 1856, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Parts/Heading/Heading.html" href="../../../Formatters/HTML/Parts/Heading/Heading.html" shape="rect" coords="1880, 81, 2189, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idltype/WString.html" href="WString.html" shape="rect" coords="2213, 81, 2445, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idltype/Base.html" href="Base.html" shape="rect" coords="2469, 81, 2680, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html" href="Sequence.html" shape="rect" coords="2704, 81, 2944, 105" />
</map>
 <div class="doc">Type abstract class.

Function:

  kind&#40;&#41;          -- TypeCode kind of type.
  unalias&#40;&#41;       -- Return an equivalent Type object with aliases stripped
  accept&#40;visitor&#41; -- visitor pattern accept. See idlvisitor.py.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__kind">__kind</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line112" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__local">__local</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line113" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">kind</span>, <span class="variable">local</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Type.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line111" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="kind">kind</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Type.kind" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line115" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="local">local</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Type.local" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line116" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="unalias">unalias</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Type.unalias" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line118" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Type.accept" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line126" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:06 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
